> ## Documentation Index
> Fetch the complete documentation index at: https://www.conductor.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggested related pages

> Get suggestions from among a web property's URLs for pages related to a set of topics you input.

<Note>
  Suggested related pages are drawn from the universe of pages your Conductor subscription has discovered through any combination of web analytics, ranking content on results pages, and preferred URLs from Conductor Intelligence and from Conductor Monitoring crawls.
</Note>

## Change Log

*No changes to report*


## OpenAPI

````yaml GET /v4/accounts/{accountId}/web-properties/{webPropertyId}/related-pages
openapi: 3.1.0
info:
  title: Conductor API Documentation
  version: 4.0.0
  license:
    name: Conductor terms of service
    url: https://www.conductor.com/legal/
  termsOfService: https://www.conductor.com/legal/
  x-logo:
    url: https://app.conductor.com/images/global/logo_login.png
servers:
  - url: https://api.conductor.com
security:
  - ApiToken: []
  - ApiKeyQuery: []
    SigQuery: []
tags:
  - name: Draft Management
    description: Create, retrieve, update, and delete Writing Assistant drafts.
  - name: Content Insights
    description: >-
      Request and retrieve AI-driven content insights and recommendations for a
      draft.
  - name: Content Generation
    description: >-
      Generate and revise content assets — outlines, drafts, meta descriptions,
      title tags, outline expansions, and shortened text.
  - name: Content Guidance
    description: >-
      Validate and guide content against target keywords and optimization
      criteria.
  - name: Content Score
    description: >-
      Evaluate on-page content and return scoring insights across intent
      alignment and topical coverage.
  - name: Content Profile
    description: >-
      Create, retrieve, update, and delete reusable voice, tone, and
      language-rule profiles applied to draft generation.
  - name: Knowledge Sources
    description: >-
      Create and retrieve account-level text and file sources used to inform
      generated content.
  - name: Internal Linking
    description: >-
      Get anchor text and URL recommendations for internal linking based on a
      customer's embedded pages.
  - name: Related Pages
    description: >-
      Get suggestions from among a web property's URLs for pages related to a
      set of topics you input
paths:
  /v4/accounts/{accountId}/web-properties/{webPropertyId}/related-pages:
    get:
      tags:
        - Related Pages
      summary: Suggested related pages
      description: >-
        Get suggestions from among a web property's URLs for pages related to a
        set of topics you input
      operationId: getRelatedPages
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: integer
          description: Account identifier
        - name: webPropertyId
          in: path
          required: true
          schema:
            type: integer
          description: Web property identifier
        - name: topics
          in: query
          required: true
          description: >-
            Content topics for which you want suggestions for related pages on
            the web property. To include more than one topic, repeat the query
            parameter up to five times:
            `[REQUEST_PATH]?topics=example1&topics=example2`.
          schema:
            type: array
            items:
              type: string
            maxItems: 5
          style: form
          explode: true
      responses:
        '200':
          description: Suggested related pages
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RelatedPage'
        '401':
          description: >-
            Missing or invalid API key/signature, or an invalid or expired
            session token.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error'
                  - $ref: '#/components/schemas/FastApiDetailError'
        '403':
          description: Caller does not have access to this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FastApiDetailError'
        '422':
          description: No topics were provided, or more than 5 were provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FastApiValidationError'
        '500':
          description: >-
            Unexpected error, e.g. the account or web property could not be
            resolved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FastApiDetailError'
components:
  schemas:
    RelatedPage:
      type: object
      required:
        - url
        - similarityScore
      properties:
        title:
          type: string
          nullable: true
          description: The title of the related page.
        url:
          type: string
          description: The URL of the related page.
        similarityScore:
          type: number
          format: float
          description: >-
            Score from 0 to 1 indicating how semantically similar the page is to
            the input topics. The closer to 1, the more similar the page is to
            the topics. Conductor automatically filters responses for pages
            where `similarityScore` is greater than .6. Thus, pages will appear
            in responses with `similarityScores` between .6 and 1.
        content:
          type: string
          nullable: true
          description: Content snippet for the related page.
    Error:
      type: object
      description: >-
        Error envelope for failures that apply uniformly across all v4 endpoints
        (e.g. gateway-level authentication failures).
      properties:
        code:
          type: string
          description: Machine-readable error code.
        message:
          type: string
          description: Human-readable error description.
    FastApiDetailError:
      type: object
      description: >-
        Default error body returned by the FastAPI backends (content-generation,
        polaris-api, internal-linking-recommendations) for HTTPException-based
        errors.
      properties:
        detail:
          type: string
    FastApiValidationError:
      type: object
      description: >-
        Default request-validation error body returned by the FastAPI backends
        when the request body fails schema validation.
      properties:
        detail:
          type: array
          items:
            type: object
            properties:
              loc:
                type: array
                items:
                  type: string
              msg:
                type: string
              type:
                type: string
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      description: >-
        Conductor API token, sent as `Bearer <your-api-token>`. Generate a token
        from Integrations > API > Create API Token.
    ApiKeyQuery:
      type: apiKey
      in: query
      name: apiKey
      description: API Key as a query parameter
    SigQuery:
      type: apiKey
      in: query
      name: sig
      description: >-
        Request signature computed using API key and secret. Valid for 5 minutes
        after creation.

````